Package org.jbpm.casemgmt.impl.audit

## Class CaseLogCleanupCommand

- java.lang.Object
- - org.jbpm.executor.commands.LogCleanupCommand
  - - org.jbpm.casemgmt.impl.audit.CaseLogCleanupCommand

- All Implemented Interfaces:
    `org.kie.api.executor.Command`, `org.kie.api.executor.Reoccurring`

      public class CaseLogCleanupCommand
      extends LogCleanupCommand

  Case Log clean up command that aims at doing house keeping of audit/log tables used in jBPM extending `LogCleanupCommand` for current behavior. This command adds this to LogCleanupCommand. Theses parameters restricts the conditions where the logs are going to be deleted.
  - ForCaseDefId - restricts the logs to be removed to those where the case definition id matches this parameter
  - ForDeployment - restricts the logs to be removed to those where the case instance is in this deployment
  - Status - restricts the logs to be removed to those where the case instance is in this status list

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.executor.commands.LogCleanupCommand

      `dateFormat, RECORDS_PER_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseLogCleanupCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.executor.ExecutionResults` | `execute​(org.kie.api.executor.CommandContext ctx)` |

    - ### Methods inherited from class org.jbpm.executor.commands.LogCleanupCommand

      `getScheduleTime, readInt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseLogCleanupCommand

          public CaseLogCleanupCommand()

  - ### Method Detail

    - #### execute

          public org.kie.api.executor.ExecutionResults execute​(org.kie.api.executor.CommandContext ctx)
                                                        throws Exception

      Specified by:
        `execute` in interface `org.kie.api.executor.Command`
      Overrides:
        `execute` in class `LogCleanupCommand`
      Throws:
        `Exception`